<!doctype html>
<html lang="en">
<head>
  <!-- Google tag (gtag.js) -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=G-3SVS4XQ47V"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
  
    gtag('config', 'G-3SVS4XQ47V');
  </script>
  <meta charset="utf-8">
  <meta name="author" content="Jim Hefferon" />
  <meta name="copyright" content="Contents of this HTML page and its CSS is CCSA 4.0." />
  <link rel="canonical" href="https://hefferon.net/linearalgebra/hardcopy.html" />
  <meta property="og:locale" content="en_US" />
  <meta property="og:type" content="website" />
  <meta property="og:title" content="Free Texts and more, from Jim Hefferon" />
  <meta property="og:description" content="Printed copy of Linear Algebra text, by Jim Hefferon" />
  <meta property="og:url" content="https://hefferon.net/linearalgebra/hardcopy.html" />
  <meta property="og:site_name" content="Free math texts" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Literata">
  <link rel="stylesheet" href="../hefferon.css">
  <title>Free Theory of Computation textbook: hard copy</title>
</head>

<body>
  <div id="container">
    <div id="header">
      <p>
	<i>Theory of Computation:</i> get a hard copy
      </p>
    </div>
    <div id="content">
      <div id="innercontent">
	<p>
	  <a href="/computation/"><i>Theory of Computation</i></a>
	  is a text for a first undergraduate course.
	  It is Free.
	  Use it as a main text, as a supplement, or for independent study.
	</p>
	<h3>
	  Get a printed book
	</h3>
        <p id="purchase">
        You can get a paper copy.
	Click on
	<a href="https://www.amazon.com/dp/B0CB26QHCJ?&linkCode=ll1&tag=linearalgeb11-20&linkId=85a36573cf7dbe89dd780c778ec79198&language=en_US&ref_=as_li_ss_tl">
	  this Amazon link</a>.
	This is a color copy for about the cost of media, $42.
	</p>

	 <h3>
	  Are you teaching with this?
	</h3>
	<p>
	  You may find useful a number of
	  <a href="teaching.html">ancillary materials</a>,
	  including classroom projection slides and a
	  machine simulation programs.
	  </p>

	<p>Note that there are differences between the printed version and
	  the version available online.
	  Some are minor, such as typos corrected in the online version that
	  have not yet made it to the printed version.
	  And the online version has some animations, which of course
	  are not in the printed version.
	  In addition, for license issues, a small amount of
	  material in the online version does not appear in print
	  (and consequently the page numbers differ a bit).
	  </p>
      </div>
    </div>
    <div id="navbar">
      <div id="innernavbar">
	<h3>
	  More on <i>Theory of Computation</i>
	</h3>
	<ul>
	  <li><a href="/computation/">Description of the text</a>.</li>
	  <li><a href="/computation/teaching.html">Using this for teaching?</a></li>
	  <li><a href="../help.html">Help out</a>.
	    Donate or submit a bug report.</li>
	</ul>
	<h3>
	  You may also like ... 
	</h3>
	<ul>
	  <li><a href="/linearalgebra/"><i>Linear Algebra</i></a>,
	      a text for the first undergraduate course.</li>
	  <li><a href="/proofs/"><i>Introduction to Proofs</i></a>,
	      for an Inquiry-Based course.</li>
	  <li><a href="/other/">More</a>,
	      including programs and documents.</li>
	  <li><a href="/jimhefferon.html">About me</a>.</li>
	  <li><a href="/">This site's home page</a>.</li>
	</ul>
      </div>
    </div>
    <div id="footer">
      <a id="contact" href="/jimhefferon.html">Contact me</a>
    </div>
</body>
</html>
